//+------------------------------------------------------------------+
//|                                                PriceTrender2.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"
#property indicator_buffers 3
#property indicator_color1 DodgerBlue
#property indicator_color2 Gold
#property indicator_color3 Crimson

extern int TimeFrame = 60,
           Price = 0,
           Ma1Type = 0,
           Ma1Price = 0,
           Ma1Length = 24,
           Ma2Type = 0,
           Ma2Price = 0,
           Ma2Length = 5;
           

double price[],trend[],trend2[];
 
#property indicator_separate_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   IndicatorShortName("PT");
   SetIndexBuffer(0,price);
   SetIndexBuffer(1,trend);
   SetIndexBuffer(2,trend2);
   return(0);
}
int deinit() { return(0); }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int    counted_bars=IndicatorCounted(); 
   int    limit; 

   if (counted_bars<0) return(-1); 
   if (counted_bars>0) counted_bars--; 
            limit=Bars-counted_bars; 
    
   //
   //
   //
   //
   //
       
   for (int i=limit; i>=0; i--) 
   { 
      int y = iBarShift(Symbol(),TimeFrame,Time[i]); 
      
       price[i]  = iMA(NULL,TimeFrame,1,0,MODE_SMA,Price,y);
       trend[i]  = iMA(NULL,TimeFrame,Ma1Length,0,Ma1Type,Ma1Price,y);
       trend2[i] = iMA(NULL,TimeFrame,Ma2Length,0,Ma2Type,Ma2Price,y);
   }
   return(0);
}